// control_structures.cpp
//
#ifdef _WIN32
	#include <tchar.h>
	#include <conio.h>
#elif (defined __linux__) || (defined _AIX) || (defined __APPLE__)
	typedef char _TCHAR;
	#define _tmain main
#endif

#include <stdio.h>
#include <math.h>
#include <set>
#include <iostream>
using namespace std;

void my_getch();

int _tmain(int argc, _TCHAR* argv[])
{
	short i, j, n, x[10];

	std::set<short> MySet;
	std::set<short>::iterator it;

	MySet.clear();
	cout << "\nZadajte cele cislo rovne alebo vacsie ako 5" 
		<< " a rovne alebo mensie nez 10!n = ";
	do
		cin >> n;
	while (n < 5 || n>10);

	cout << "\nZadajte " << n << " celych cisel oddelenych medzerou: ";
	for (i = 0; i < n; i++)
		cin >> x[i];

	for (i = 0; i < n; i++)
		MySet.insert(x[i]);

	cout << "\nPrvky mnoziny MySet su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it)
		cout << *it << " ";

	cout << "\n\nVypis (*it > x[2]) ? (cout << -(*it) << \" \")" 
		<< " : (cout << *it << \" \"): ";
	for (it = MySet.begin(); it != MySet.end(); ++it)
		*it > x[2] ? cout << -(*it) << " " : cout << *it << " ";

	cout << "\n\nPrvky mnoziny MySet s podmienkou if (*it == x[2]) break; su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it) {
		cout << *it << " ";
		if (*it == x[2])
			break;
	}

	cout << "\n\nVypis for(it = MySet.begin(), j = 0; it != MySet.end()," 
		<< " j < n; ++it, j += 2): ";
	for (it = MySet.begin(), j = 0; it != MySet.end(), j < n; ++it, j += 2)
		cout << *it << " ";

	cout << "\n\nPrvky mnoziny MySet s podmienkou if (*it == x[2]) goto jump; su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it) {
		cout << *it << " ";
		if (*it == x[2])
			goto jump;
	}

	cout << "Tato sprava sa na obrazovku nevypise!";

jump:
	cout << "\n\nPrvky mnoziny MySet s podmienkou if (*it == x[2]) continue; su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it) {
		if (*it == x[2])
			continue;
		cout << *it << " ";
	}

	cout << "\n\nPrvky mnoziny MySet s podmienkou if(*it >= x[1]" 
		<< " && *it <= x[3]) su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it)
		if (*it >= x[1] && *it <= x[3])
			cout << *it << " ";

	for (i = 1; i < n; i += 2) // i+=2 znamena i = i+2
		MySet.erase(x[i]);

	cout << "\n\nPrvky mnoziny MySet po vymazani kazdeho druheho prvku su: ";
	for (it = MySet.begin(); it != MySet.end(); ++it)
		cout << *it << " ";

	cout << "\n\nVetvenie switch bude vysvetlene v nasledujucej ukazke.";
	cout << "\n\nPrikaz return je pouzity napr. na konci kazdeho programu.";

	my_getch();
	return 0;
}

void my_getch()
{
#ifdef _WIN32
	_getch();
#else
	cout << endl;
#endif
}